# Update Address Group

## Update Address Group

<mark style="color:purple;">`PATCH`</mark> `https://uprism.io:30443/v1/users/{userId}/address/group/{groupName}`

해당 사용자의 주소록 그룹을 수정

#### Path Parameters

| Name      | Type   | Description |
| --------- | ------ | ----------- |
| groupName | string | 현재 그룹 이름    |
| userId    | string | 서브사용자 ID    |

#### Headers

| Name          | Type   | Description               |
| ------------- | ------ | ------------------------- |
| Authorization | string | "Bearer " + {accessToken} |

#### Request Body

| Name        | Type   | Description |
| ----------- | ------ | ----------- |
| group\_name | string | 수정할 그룹 이름   |

{% tabs %}
{% tab title="200 " %}

```javascript
{
    "code": 200,
    "message": "success",
    "response": {
        "group_name": "변경된 그룹 이름",
        "address_count": 0
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://uprism-io.gitbook.io/uprism-io/rest-api/address/update-address-group.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
